Bug 1825587 - Review Request: python-aiosmb - Asynchronous SMB protocol implementation
Summary: Review Request: python-aiosmb - Asynchronous SMB protocol implementation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1825592
TreeView+ depends on / blocked
 
Reported: 2020-04-19 07:42 UTC by Fabian Affolter
Modified: 2020-09-25 16:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-25 16:45:37 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-04-19 07:42:52 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-aiosmb.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-aiosmb-0.2.10-1.fc31.src.rpm

Project URL: https://github.com/skelsec/aiosmb

Description:
Fully asynchronous SMB library written in pure Python.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=43525132

rpmlint output:
$ rpmlint python-aiosmb-0.2.10-1.fc31.src.rpm
python-aiosmb.src:43: W: macro-in-comment %license
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint python3-aiosmb-0.2.10-1.fc31.noarch.rpm 
python3-aiosmb.noarch: E: zero-length /usr/lib/python3.7/site-packages/aiosmb/protocol/smb2/header.py
python3-aiosmb.noarch: W: no-manual-page-for-binary aiosmbclient
1 packages and 0 specfiles checked; 1 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-06-21 16:39:44 UTC
 - Bump to 0.2.20

 - Missing dep on latest version:

DEBUG util.py:621:   Problem: conflicting requests
DEBUG util.py:621:    - nothing provides python3.9dist(asysocks) >= 0.0.4 needed by python3-aiosmb-0.2.20-1.fc33.noarch





Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 171 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-aiosmb/review-python-
     aiosmb/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/#_use_rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 2.3 starting (python version = 3.8.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
INFO: Signal handler active
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled package manager cache
Start: cleaning package manager metadata
Finish: cleaning package manager metadata
INFO: enabled ccache
INFO: enabled HW Info plugin
Mock Version: 2.3
INFO: Mock Version: 2.3
Finish: chroot init
INFO: installing package(s): /home/bob/packaging/review/python-aiosmb/review-python-aiosmb/results/python3-aiosmb-0.2.20-1.fc33.noarch.rpm
ERROR: Command failed: 
 # /usr/bin/dnf --installroot /var/lib/mock/f33-candidate-x86_64/root/ --releasever 33 --setopt=deltarpm=False --allowerasing --disableplugin=local --disableplugin=spacewalk install /home/bob/packaging/review/python-aiosmb/review-python-aiosmb/results/python3-aiosmb-0.2.20-1.fc33.noarch.rpm --setopt=tsflags=nocontexts



Rpmlint
-------
Checking: python3-aiosmb-0.2.20-1.fc33.noarch.rpm
          python-aiosmb-0.2.20-1.fc33.src.rpm
python3-aiosmb.noarch: E: non-executable-script /usr/lib/python3.9/site-packages/aiosmb/external/asciitree/asciitree/__init__.py 644 /usr/bin/env python
python3-aiosmb.noarch: E: non-executable-script /usr/lib/python3.9/site-packages/aiosmb/external/asciitree/setup.py 644 /usr/bin/env python
python3-aiosmb.noarch: E: zero-length /usr/lib/python3.9/site-packages/aiosmb/protocol/smb2/header.py
python3-aiosmb.noarch: W: no-manual-page-for-binary aiosmbclient
python-aiosmb.src:43: W: macro-in-comment %license
2 packages and 0 specfiles checked; 3 errors, 2 warnings.

Comment 2 Robert-André Mauchin 🐧 2020-06-21 16:43:57 UTC
Also this one:

DEBUG util.py:621:  Error: 
DEBUG util.py:621:   Problem: conflicting requests
DEBUG util.py:621:    - nothing provides python3.9dist(prompt-toolkit) < 3 needed by python3-aiosmb-0.2.10-1.fc33.noarch

Comment 3 Fabian Affolter 2020-06-22 07:34:34 UTC
(In reply to Robert-André Mauchin from comment #1)
>  - Bump to 0.2.20

Updated

>  - Missing dep on latest version:
> 
> DEBUG util.py:621:   Problem: conflicting requests
> DEBUG util.py:621:    - nothing provides python3.9dist(asysocks) >= 0.0.4
> needed by python3-aiosmb-0.2.20-1.fc33.noarch

Should be there: https://koji.fedoraproject.org/koji/buildinfo?buildID=1525930


%changelog
* Mon Jun 22 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.20-1
- Update to latest upstream release 0.2.20

Updated files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-aiosmb.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-aiosmb-0.2.20-1.fc31.src.rpm

Comment 4 Fabian Affolter 2020-06-22 07:35:51 UTC
(In reply to Robert-André Mauchin from comment #2)
> Also this one:
> 
> DEBUG util.py:621:  Error: 
> DEBUG util.py:621:   Problem: conflicting requests
> DEBUG util.py:621:    - nothing provides python3.9dist(prompt-toolkit) < 3
> needed by python3-aiosmb-0.2.10-1.fc33.noarch

Have to check that one.

Comment 5 Fabian Affolter 2020-07-14 11:08:50 UTC
Upstream now allows later releases of prompt-toolkit.


%changelog
* Mon Jul 13 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.26-1
- Update to latest upstream release 0.2.26

Updated files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-aiosmb.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-aiosmb-0.2.26-1.fc31.src.rpm

Comment 6 Fabian Affolter 2020-07-14 12:32:51 UTC
Upstream started to bundle to two Python modules which are already present in the Fedora Package Collection.

Comment 7 Robert-André Mauchin 🐧 2020-07-14 13:12:41 UTC
Package approved.

Comment 8 Fabian Affolter 2020-09-03 17:33:55 UTC
Thanks for the review.

Comment 9 Gwyn Ciesla 2020-09-03 17:39:27 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-aiosmb

Comment 10 Fedora Update System 2020-09-04 06:01:04 UTC
FEDORA-2020-06060ac3b9 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-06060ac3b9

Comment 11 Fedora Update System 2020-09-04 19:16:54 UTC
FEDORA-2020-06060ac3b9 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-06060ac3b9 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-06060ac3b9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-09-25 16:45:37 UTC
FEDORA-2020-06060ac3b9 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.